

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>3.4. Cache (optional) &mdash; machado 0.1.0 documentation</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="4. Diagrams" href="diagrams.html" />
    <link rel="prev" title="3.3. JBrowse (optional)" href="jbrowse.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> machado
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">1. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="dataload.html">2. Data loading</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="visualization.html">3. Visualization</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="index_search.html">3.1. Index and search</a></li>
<li class="toctree-l2"><a class="reference internal" href="webserver.html">3.2. Web server</a></li>
<li class="toctree-l2"><a class="reference internal" href="jbrowse.html">3.3. JBrowse</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">3.4. Cache</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="diagrams.html">4. Diagrams</a></li>
<li class="toctree-l1"><a class="reference internal" href="models.html">5. Models</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">machado</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
        
          <li><a href="visualization.html"><span class="section-number">3. </span>Visualization</a> &raquo;</li>
        
      <li><span class="section-number">3.4. </span>Cache (optional)</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/cache.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="cache-optional">
<h1><span class="section-number">3.4. </span>Cache (optional)<a class="headerlink" href="#cache-optional" title="Permalink to this headline">¶</a></h1>
<p>The machado views are pre-configured to enable local-memory caching for 1 hour.
In order to move the cache to another location, you’ll to set Django’s cache framework following the <a class="reference external" href="https://docs.djangoproject.com/en/2.1/topics/cache/">official instructions</a>.</p>
<p><strong>Example</strong></p>
<p>Include the following in the settings.py to store the cache in the database:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span><span class="nv">CACHES</span> <span class="o">=</span> <span class="o">{</span>
    <span class="s1">&#39;default&#39;</span>: <span class="o">{</span>
        <span class="s1">&#39;BACKEND&#39;</span>: <span class="s1">&#39;django.core.cache.backends.db.DatabaseCache&#39;</span>,
        <span class="s1">&#39;LOCATION&#39;</span>: <span class="s1">&#39;machado_cache_table&#39;</span>,
    <span class="o">}</span>
<span class="o">}</span>
<span class="nv">CACHE_TIMEOUT</span> <span class="o">=</span> <span class="m">60</span> * <span class="m">60</span> * <span class="m">24</span>  <span class="c1"># 86400 seconds == 1 day</span>
</pre></div>
</div>
<p>Create the cache table:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>python manage.py createcachetable
</pre></div>
</div>
<p><strong>Clearing the cache table</strong></p>
<p>It is a good idea to clear the cache table whenever you made changes to your machado installation.
For this intent, install the django-clear-cache tool <cite>https://github.com/rdegges/django-clear-cache</cite></p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip install django-clear-cache
</pre></div>
</div>
<p>Then modify your settings.py file to add clear_cache:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span><span class="nv">INSTALLED_APPS</span> <span class="o">=</span> <span class="o">(</span>
<span class="c1"># ...</span>
<span class="s1">&#39;clear_cache&#39;</span>,
<span class="o">)</span>
</pre></div>
</div>
<p>Then to clear the cache just run</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>python manage.py clear_cache
</pre></div>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="diagrams.html" class="btn btn-neutral float-right" title="4. Diagrams" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="jbrowse.html" class="btn btn-neutral float-left" title="3.3. JBrowse (optional)" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2018, Embrapa.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>